## org.apache.mahout.clustering.meanshift
Class MeanShiftCanopyMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,MeanShiftCanopy,org.apache.hadoop.io.Text,MeanShiftCanopy>
          org.apache.mahout.clustering.meanshift.MeanShiftCanopyMapper

    public class MeanShiftCanopyMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,MeanShiftCanopy,org.apache.hadoop.io.Text,MeanShiftCanopy>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`MeanShiftCanopyMapper()`

Method Summary
`protected void` `cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `map(org.apache.hadoop.io.WritableComparable<?> key, MeanShiftCanopy canopy, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeanShiftCanopyMapper

    public MeanShiftCanopyMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,MeanShiftCanopy,org.apache.hadoop.io.Text,MeanShiftCanopy>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### map

    protected void map(org.apache.hadoop.io.WritableComparable<?> key,
                       MeanShiftCanopy canopy,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,MeanShiftCanopy,org.apache.hadoop.io.Text,MeanShiftCanopy>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### cleanup

    protected void cleanup(org.apache.hadoop.mapreduce.Mapper.Context context)
                    throws java.io.IOException,
                           java.lang.InterruptedException

  Overrides:
    `cleanup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,MeanShiftCanopy,org.apache.hadoop.io.Text,MeanShiftCanopy>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.